> For the complete documentation index, see [llms.txt](https://docs.atsign.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atsign.com/atsign-platform/atsign.md).

# Atsign

## What is an Atsign?

An Atsign (e.g. @alice) is a resolvable address for an [atServer](/atsign-platform/infrastructure.md). Similar to how a handle like @alice or @bob makes people addressable on social applications, our goal for an Atsign is to give addressability to everything on the Internet (people, entities, and things).

## What is an Atsign used for?

An Atsign is used to protect and securely exchange information with other Atsigns without any chance of surveillance, impersonation, or theft of the information by anyone. Since cryptographic keys live only on your edge devices, that means no middle actors (not even Atsign) can decrypt your data.

## How do I get an Atsign?

You can purchase and manage your Atsigns at the [Atsign Registrar](https://my.atsign.com/go). The price of your Atsign will vary given the amount of special characters in the Atsign (emojis, numbers, etc,.).

### How do I get a Free Atsign?

We no longer offer free Atsigns. Existing free Atsigns remain active under our current terms.&#x20;

### What characters can be used in an Atsign?

An Atsign supports any combination of Unicode UTF-8 characters that are translated to UTF-7 and must have less than characters 55 characters in length. This provides an enormous name space of 10^224 atSigns.

## How do I activate my Atsign?

Check out [Activating my Atsign](/atsign-platform/atkeys.md) in our atKeys reference page.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atsign.com/atsign-platform/atsign.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
